<template>
  <v-app>
    
    <v-navigation-drawer
      v-model="drawer"
      app
      clipped
    >
      <v-list dense>
        <v-list-item link href="/vue-ewise/#/biometric">
          <v-list-item-action>
            <v-icon>mdi-fingerprint</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>Fingerprint</v-list-item-title>
          </v-list-item-content>
        </v-list-item>

        <v-list-item link href="/vue-ewise/#/credentials" >
          <v-list-item-action>
            <v-icon>mdi-login</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>Credentials</v-list-item-title>
          </v-list-item-content>
        </v-list-item>

        <v-list-item link href="/vue-ewise/#/dashboard" >
          <v-list-item-action>
            <v-icon>mdi-view-dashboard</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>Dashboard</v-list-item-title>
          </v-list-item-content>
        </v-list-item>

      </v-list>
    </v-navigation-drawer>

    <v-app-bar
      app
      clipped-left
    >
      <v-app-bar-nav-icon @click.stop="drawer = !drawer" />
      <v-toolbar-title><v-img
          src="https://www.ecdevelopment.mx/wp-content/uploads/2019/11/logo.png"
          class="my-2"
          contain
          width="200"
        /></v-toolbar-title>
    </v-app-bar>

    <v-content>
      <router-view/>
    </v-content>

    <v-footer
      app
    >
      <span>Ewise</span>
      <v-spacer />
      <span>&copy; 2020</span>
    </v-footer>

  </v-app>
</template>

<script>
import HelloWorld from './components/HelloWorld';

export default {
  name: 'App',

  components: {
    HelloWorld,
  },

  data: () => ({
      drawer: null,
    }),
    created () {
      //this.$vuetify.theme.dark = true
    },
};
</script>
